<?php
define("THIS_FILE", "index.php");

require_once("config/config.inc.php");
require_once("DbConnection.inc.php");
require_once("KDbTools.inc.php");
require_once("MainRegUI.inc.php");
require_once("Plugins.inc.php");
require_once("autoloader.inc.php");
autoloader::init();

// Login not allowd => go to registration
if(!KDbConfig::getAllowUserLogin()) {
  header("Status: 302 Moved Temporarily");
  header("Location:registration.php");
  exit;
}

// Open Database Connection
$DB = new DbConnection(KDbConfig::getDbHost(), KDbConfig::getDbUser(), KDbConfig::getDbPasswd(), KDbConfig::getDbName());
CWFTools::startSession("k_db");
CWFTools::replaceHTMLChars($_POST);

// Load Plugins
include_once(KDbConfig::getCwfPath()."plugins/plugins.inc.php");

// Create page framework
$menu = new MainRegUI($DB);
if ($DB->getConnectionError())
  $menu->setErrorMessage($DB->getConnectionError(), 1);

// Import page "index"
require_once("index.inc.php");
if($ui->getErrorMessage())
  $menu->setErrorMessage($ui->getErrorMessage(), 0);

// Display page
if ($menu->writeHeader(THIS_FILE.$menu_select, $ui->getTitle(), $ui->getHeader()))
  echo $ui->getHTML($DB);
$menu->writeFooter();
?>
