<?php
require_once("CWFMainUI.inc.php");

class MainRegUI extends CWFMainUI {
  /* ****************************************************************************************
   * Constructor
   */
  final public function __construct(DbConnection $DB) {
    parent::__construct();

    $_SESSION['lang'] = $this->getLanguage();
    $this->absolutePath = KDbConfig::getCwfHttpPath();
    if(KDbConfig::getAllowUserLogin() && isset($_POST['kdb_submit_login']) && $_POST['kdb_submit_login']) {
      $login = new User();
      $login->readData($DB, "(user_id='{$_POST['login']}' OR lower(email)='".strtolower($_POST['login'])."')");
      if($login->user_id && $login->checkPW($_POST['passwd'])) {
        $login->hasLoggedIn($DB);
        $_SESSION['user'] = clone $login;
      }
      else
        $this->errorMsg = "<p>"._("Login failed").".</p>\n";
    }
    
    Plugins::addMenuItems($this);
  }
  
  /* ****************************************************************************************
   * Print page header
   */
  final public function writeHeader($currentMenu, $title, $addHeader) {
    global $DB;
?>
<!doctype html>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel="stylesheet" href="<?php echo KDbConfig::getCwfHttpPath(); ?>k_db/css/main.css" type="text/css">
  <link rel="stylesheet" href="<?php echo KDbConfig::getCwfHttpPath(); ?>k_db/css/registration.css" type="text/css">
  <script type="text/javascript">var CWF_HTTP_Path="<?php echo KDbConfig::getCwfHttpPath(); ?>"</script>
  <script src="<?php echo KDbConfig::getCwfHttpPath(); ?>cwf/js/jquery-1.11.0.min.js" type="text/javascript"></script>
  <script src="<?php echo KDbConfig::getCwfHttpPath(); ?>cwf/js/jquery.hoverIntent.js" type="text/javascript"></script>
  <script src="<?php echo KDbConfig::getCwfHttpPath(); ?>cwf/js/jquery.validate.min.js" type="text/javascript"></script>
  <script src="<?php echo KDbConfig::getCwfHttpPath(); ?>k_db/js/ajaxText.js.php" type="text/javascript"></script>
  <script src="<?php echo KDbConfig::getCwfHttpPath(); ?>cwf/js/cwfCommon.js" type="text/javascript"></script>
  <script src="<?php echo KDbConfig::getCwfHttpPath(); ?>k_db/js/kdb_main.js" type="text/javascript"></script>
  <script src="<?php echo KDbConfig::getCwfHttpPath(); ?>cwf/js/validation_rules.js" type="text/javascript"></script>
<?php
    if(KDbConfig::getCssSkin()!="") echo "  <link rel=\"stylesheet\" href=\"".KDbConfig::getCwfHttpPath()."k_db/css/skins/".KDbConfig::getCssSkin()."_user.css\" type=\"text/css\">\n";
    echo $addHeader;
    echo "  <title>".KDbConfig::getOrganisationName().(($title) ? " - {$title}" : "")."</title>\n"; 
?>
</head>
<body>

<div id="logo"></div>

<?php
    if(isset($_SESSION['event'])) echo "<div id=\"top\">{$_SESSION['event']->event_title}</div>\n\n";
?>

<div id="ajax_message">
  <div id="ajax_message_bg"></div>
  <div id="ajax_message_container"></div>
</div>

<div id="menu">
<?php
    if(THIS_FILE!="registration.php") {
      if(isset($_SESSION['user']) && !$this->fatalError) {
        echo "  <ul id=\"dropdownmenu\">\n";
        echo $this->getMenu($currentMenu, $this->MENU);
        echo "  </ul>\n";
      }
    }
?>
</div>

<div id="content">

<?php
    if($this->fatalError)
      $this->displayPage = false;
    
    if(!in_array(THIS_FILE, array("registration.php", "forgot_pw.php")) && !isset($_SESSION['user']) && !$this->fatalError) {
      $this->displayPage = false;
      echo "<form id=\"kdb_form\" action=\"index.php\" method=\"post\" enctype=\"multipart/form-data\">\n";
      echo "<div id=\"center\" class=\"login_form\">\n";
      if ($this->errorMsg == "")
        echo "<div id=\"error_message\"></div>\n";
      else
        echo "<div id=\"error_message\" style=\"display:block;\">{$this->errorMsg}</div>\n";
      
      echo "<p><label for=\"login\">"._("Registration id or email").":</label><input type=\"text\" id=\"login\" name=\"login\" value=\"\"></p>\n";
      echo "<p><label for=\"passwd\">"._("Password").":</label><input type=\"password\" id=\"passwd\" name=\"passwd\" value=\"\"></p>\n";
      echo "<p><input type=\"submit\" id=\"kdb_submit_login\" name=\"kdb_submit_login\" value=\""._("Login")."\" class=\"indented\"></p>\n";
      echo "<p><a href=\"forgot_pw.php\" class=\"indented\">"._("Forgot your password?")."</a></p>\n";
      echo "<p><a href=\"registration.php\" class=\"indented\">"._("Not yet registered? Click here.")."</a></p>\n";
      echo "</div>\n";
      echo "</form>\n";
    }
    else {
      if ($this->errorMsg == "")
        echo "<div id=\"error_message\"></div>\n";
      else
        echo "<div id=\"error_message\" style=\"display:block;\">\n{$this->errorMsg}</div>\n";
    }
    
    return $this->displayPage;
  }

  /* ****************************************************************************************
   * Print page footer
   */
  final public function writeFooter() {
?>

</div>
</body>
</html>
<?php    
  }
  
  /* ****************************************************************************************
   * Check if permission for a menu point is granted
   */
  protected function checkPermission ($permission) {
    switch ($permission['type']) {
      case 'isset':
        return (eval("return (isset({$permission['rule']}) && {$permission['rule']});"));
        break;
      case 'user':
        return ($_SESSION['user']->user_id==$permission['rule']);
        break;
      //case 'perm':
      //  return ($_SESSION['user'][$permission['rule']]);
      //  break;
    }
  }
  
  /* ****************************************************************************************
   * Create menu array
   */
  protected function createMenu() {
    /*
     * title:      String
     * url:        String (starting with "!": link is disabled, use rest of url as title attribute text
     * permission: array('type'=>(user|perm), 'rule'=>String
     * submenu:    array of menupoints 
     */
    return array(
      'Registration data'=>array('title'=>_('View/change data'),  'url'=>'index.php',            'permission'=>'', 'submenu'=>''),
      'Change password'=>array('title'=>_('Change password'),     'url'=>'index.php/changepw',   'permission'=>'', 'submenu'=>''),
      'Events'=>array('title'=>_('Events'),                       'url'=>'index.php/events',     'permission'=>'', 'submenu'=>''),
      'Booking'=>array('title'=>_('Booking'),                     'url'=>'index.php/booking',    'permission'=>array("type"=>"isset", "rule"=>'$_SESSION["event"]'), 'submenu'=>''),
      'hr1'=>array('title'=>'',                                   'url'=>'',                     'permission'=>'', 'submenu'=>''),
      'Log out'=>array('title'=>_('Log out'),                     'url'=>'logout.php',           'permission'=>'', 'submenu'=>'')
    );
  }  
}
?>
